Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class Results<T>

    java.lang.Object
      com.google.appengine.api.search.Results<T>

Type Parameters:
  `T` - The type of search result.

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<T>

    public final class Results<T>

extends java.lang.Object
implements java.lang.Iterable<T>, java.io.Serializable

Represents a result of executing a search. The Results include an `OperationResult`, a collection of results, and a number of found and returned results.

See Also:
  Serialized Form

Method Summary
`Cursor` | `getCursor()` A cursor to be used to continue the search after all the results in this search response.
`long` | `getNumberFound()` The number of results found by the search.
`int` | `getNumberReturned()`
`OperationResult` | `getOperationResult()`
`java.util.Collection<T>` | `getResults()`
`java.util.Iterator<T>` | `iterator()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### iterator

    public java.util.Iterator<T> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<T>`

### getOperationResult

    public OperationResult getOperationResult()

  Returns:
    the result of the search operation

### getNumberFound

    public long getNumberFound()

  The number of results found by the search. If the value is less than or equal to the corresponding `QueryOptions.getNumberFoundAccuracy()`, then it is accurate, otherwise it is an approximation

  Returns:
    the number of results found

### getNumberReturned

    public int getNumberReturned()

  Returns:
    the number of results returned

### getResults

    public java.util.Collection<T> getResults()

  Returns:
    an unmodifiable collection of search results

### getCursor

    public Cursor getCursor()

  A cursor to be used to continue the search after all the results in this search response. For this field to be populated, use `QueryOptions.Builder.setCursor(com.google.appengine.api.search.Cursor)` with a value of `Cursor.newBuilder().build()`, otherwise `getCursor()` will return null.

  Returns:
    cursor to be used to get the next set of results after the end of these results. Can be `null`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD